﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL
INSTRUMENT:            Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
INSTRUMENT:            Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL
DATE:                  2016-06-14 12:54:29
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 16202 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       221
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008.52)
#        R&S RTM1054 (1305.0008.54)
#
#  Source(s):
#        R&S RTM Digital Oscilloscope Service Manual, 1304.9018.02-01
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Scale = BASE(@Vert)
  1.002  MATH         Conf  = CONF(@CalDev)

  1.003  JMPL         DC_GAIN                     PSUBI("DC Gain")
  1.004  JMPL         OFFSET                      PSUBI("Offset")
  1.005  JMPL         BANDWIDTH                   PSUBI("Bandwidth")
  1.006  DISP         Called {Subprocedure Not Found}!
  1.007  END

  1.008  EVAL   Increment step number


# =====  Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL  ===================

  2.001  LABEL        DC_GAIN

# Establish test tolerance for evaluation.
  2.002  IF           Scale <= 5E-3
  2.003  MATH         L[2] = 2.0
  2.004  ELSE
  2.005  MATH         L[2] = 1.5
  2.006  ENDIF

# Format requested voltage for use in HEAD -2.
  2.007  IF           @Volt < 1
  2.008  MATH         CalVolt = "±" & (@Volt / 1E-3) & " mV Applied"
  2.009  ELSE
  2.010  MATH         CalVolt = "±" & @Volt & " V Applied"
  2.011  ENDIF

  2.012  MATH         Expected = @Volt * 2
  2.013  HEAD         -2 [V @Coupling] Coupling; [V @Vert] ([V CalVolt])
  2.014  TARGET       -p
  2.015  TSET         TDESC = [V @Vert]; MEAS = UI
  2.016  VISA         CHAN[V @Chan]:SCAL [V Scale]
  2.017  VISA         CHAN[V @Chan]:COUP [V @Input]
  2.018  TARGET       -m
  2.019  O_CAL        Mode     = Voltage;      OutpImp = [V @Coupling]
  2.019  O_CAL        +Voltage = +[V @Volt] V; Channel = [V @CalChan]
# Retrieve calibrator accuracy and normalize.
  2.020  MATH         AccPos = REFACC() / Conf
  2.021  WAIT         [D500]
  2.022  VISA         SINGLE;*OPC?[I!]
  2.023  VISA         MEAS1:RES?[I]
  2.024  MATH         Topline = MEM

  2.025  O_CAL        Mode     = Voltage;      OutpImp = [V @Coupling]
  2.025  O_CAL        +Voltage = -[V @Volt] V; Channel = [V @CalChan]
  2.026  MATH         AccNeg = REFACC() / Conf
  2.027  WAIT         [D500]
  2.028  VISA         SINGLE;*OPC?[I!]
  2.029  VISA         MEAS1:RES?[I]
  2.030  MATH         Delta = Topline - MEM

# RSS the calibrator uncertainty at Positive and Negative voltage outputs,
# convert to proportional parts, convert units to %, and expand.
  2.031  MATH         L[1] = RSS2(AccPos, AccNeg) / Expected * 100 * 2
  2.032  ACC          0.00pct        L1U
  2.033  MATH         MEM = ((Delta / Expected) - 1) * 100
  2.034  MEMCX        0.00pct        L2U

  3.001  HEAD         -2
  3.002  VISA         RUN
  3.003  END

  3.004  EVAL   Increment Step Number


# =====  Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL  ====================

  4.001  LABEL        OFFSET

  4.002  IF           ABS(@Volt) < 1
  4.003  MATH         Offset = (@Volt / 1E-3) & " mV"
  4.004  ELSE
  4.005  MATH         Offset = @Volt & " V"
  4.006  ENDIF

# Offset Specification: +/-(0.5% * Offset + 0.15 * VerticalScale)
  4.007  MATH         L[1] = 0.005 * ABS(@Volt) + 0.15 * Scale

  4.008  HEAD         -2 [V @Coupling] Coupling, [V @Vert], [V Offset] Offset
  4.009  TARGET       -p
  4.010  TSET         TDESC = [V @Vert]; MEAS = UI
  4.011  VISA         CHAN[V @Chan]:SCAL [V Scale]
  4.012  VISA         CHAN[V @Chan]:COUP [V @Input]
  4.013  VISA         CHAN[V @Chan]:OFFS [V @Volt]
  4.014  VISA         TIM:SCAL [V @Horiz]
  4.015  O_CAL        Mode     = Voltage;     OutpImp = [V @Coupling]
  4.015  O_CAL        +Voltage = [V @Volt] V; Channel = [V @CalChan]
  4.016  WAIT         [D500]
  4.017  TARGET       -m
  4.018  VISA         SINGLE;*OPC?[I!]
  4.019  VISA         MEAS1:RES?[I]
  4.020  MEMCX        V              L1U

  5.001  VISA         RUN
  5.002  END

  5.003  EVAL   Increment Step Number


# =====  Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL  =================

  6.001  LABEL        BANDWIDTH

# Define Target reference amplitude, 1% Window for reference set loop (8 div),
# applied voltage Limit (10 div), and FreqMHz
  6.002  MATH         Target  = MIN2(2.8, Scale * 8)
  6.003  MATH         Window  = Target * 0.01
  6.004  MATH         Limit   = Scale * 10
  6.005  MATH         FreqMHz = (@BWFreq / 1E+6) & " MHz"

  6.006  IF           ZCMPI(@Band, "FULL")
  6.007  MATH         BWLimit = "Full BW"
  6.008  ELSEIF       ZCMPI(@Band, "B400")
  6.009  MATH         BWLimit = "400 MHz BW"
  6.010  ELSEIF       ZCMPI(@Band, "B200")
  6.011  MATH         BWLimit = "200 MHz BW"
  6.012  ELSEIF       ZCMPI(@Band, "B20")
  6.013  MATH         BWLimit = "20 MHz BW"
  6.014  ENDIF

  6.015  HEAD         -2 [V @Vert] @ [V FreqMHz], [V BWLimit]
  6.016  TARGET       -p
  6.017  TSET         TDESC = [V @Vert], [V BWLimit]
  6.018  VISA         CHAN[V @Chan]:SCAL [V Scale];COUP DC;POS 0
  6.019  VISA         CHAN[V @Chan]:BAND [V @Band]
  6.020  TARGET       -m
  6.021  VISA         TIM:SCAL [V @RefHoriz]
  6.022  MATH         Apply = Target; MEM = Target

# Adjust calibrator output for a UUT peak-to-peak measurement within
# +/- 1% of the target.
  6.023  DO
  6.024  MATH         Apply = Apply + (Target - MEM) / 2
  6.025  O_CAL        Mode     = LevSine;       Channel   = [V @CalChan]
  6.025  O_CAL        +Voltage = [V Apply] Vpp; Frequency = [V @RefFreq] Hz
  6.026  WAIT         [D500]
  6.027  VISA         SINGLE;*OPC?[I!]
  6.028  VISA         MEAS1:RES?[I]
  6.029  MATH         Deviation = ABS(Target - MEM)
  6.030  UNTIL        (Deviation <= Window) || (Apply > Limit)

# Store UUT amplitude reading at reference frequency.
  6.031  MATH         Ref = MEM

# Measure at bandwidth limit.
  6.032  VISA         RUN;:TIM:SCAL [V @BWHoriz]
  6.033  O_CAL        Mode     = LevSine;       Channel   = [V @CalChan]
  6.033  O_CAL        +Voltage = [V Apply] Vpp; Frequency = [V @BWFreq] Hz
  6.034  MATH         RefAccPct = REFACC() / MEM1 / Conf * 100
  6.035  WAIT         [D500]
  6.036  VISA         SINGLE;*OPC?[I!]
  6.037  VISA         MEAS1:RES?[I]
  6.038  VISA         RUN

# Expand and convert the calibrator uncertainty.
  6.039  MATH         L[1] = PCTTODBV_D(RefAccPct * 2)
  6.040  ACC          0.00dB         L1U                                   +DV

# BW Limit tests use a different nominal value than Full BW.
  6.041  IF           ZCMPI(@Band, "FULL")
  6.042  MATH         MEM1 = 0
  6.043  ELSE
  6.044  MATH         MEM1 = -3
  6.045  ENDIF

# Compute and format "dB down" from reference at UUT rated bandwidth.
  6.046  MATH         MEM = 20 * LOG(MEM / Ref)

# TOL is set by the calling procedure.  The RTM uses a different tolerance
# for Full Bandwidth vs. Bandwidth Limit Mode tests.
  6.047  MEMCX        dB             TOL

  7.001  END
